// ./src/stories/QueueRow2.jsx

import React from "react";

const QueueRowbis = ({arn = undefined, itemCount = undefined, qName = undefined, url = undefined, index = undefined, ...props}) => {
    if (arn === undefined || arn == null) {
        arn = '';
    }
    if (qName === undefined || qName === null) {
        qName = '';
    }
    if (url !== undefined && url != null && url !== '') {
        qName = <a href={url}>{qName}</a>;
    }
    if (itemCount === undefined || itemCount === null || itemCount === '') {
        itemCount = '-';
    }
    console.table([{arn, itemCount, qName, url}]);

    return (
        <>
            <tr className="bg-white border-b transition duration-300 ease-in-out hover:bg-gray-100 cursor-pointer">
                <td className="px-6 py-4 whitespace-nowrap text-sm font-medium text-gray-900">{index}</td>
                <td className="text-sm text-gray-900 font-light px-6 py-4">{qName}</td>
                <td className="text-sm text-gray-900 font-light px-6 py-4">
                    {arn}
                </td>
                <td className="text-sm text-gray-900 font-light px-6 py-4">
                    {itemCount}
                </td>
            </tr>
            <React.StrictMode />
        </>
    )
}

export {
    QueueRowbis,
}