import React from "react";

import {QueueRowbis} from "./QueueRow2";


export default {
    component: QueueRowbis,
    title: "Example/QueueRowbis",
    argTypes: {
        backgroundColor: {control: 'color'},
    },
}

const Template = (args) => <QueueRowbis {...args} />;

export const Empty = Template.bind({});
Empty.args = {
    arn: '',
    itemCount: '',
    qName: '',
    url: '',
};

export const UnqueriedNoURL = Template.bind({});
UnqueriedNoURL.args = {
    arn: 'arn:sqs:eu-west-3:1234567890:main-queue',
    itemCount: '',
    qName: 'main-queue',
    url: '',
};

export const Unqueried = Template.bind({});
Unqueried.args = {
    arn: 'arn:sqs:eu-west-3:1234567890:main-queue',
    itemCount: '',
    qName: 'main-queue',
    url: 'https://sqs.eu-west-3.amazonaws.com/1234567890/main-queue',
};

export const Queried = Template.bind({});
Queried.args = {
    arn: 'arn:sqs:eu-west-3:1234567890:main-queue',
    itemCount: 25,
    qName: 'main-queue',
    url: 'https://sqs.eu-west-3.amazonaws.com/1234567890/main-queue',
};