// ./src/stories/TableRows.js

import React from 'react';
import {QueueRowbis} from "./QueueRow2";

const TableRows = ({rows = []}) => {
    return (
        <div>
            {rows.map((row, index) => {
                return <QueueRowbis key={index}
                                    index={index+1}
                                 arn={row.props.arn}
                                 itemCount={row.props.itemCount}
                                 qName={row.props.qName}
                                 url={row.props.url}/>
            })}
            <React.StrictMode/>
        </div>
    );
}

export {
    TableRows,
}